Index: LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5282)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE ioipsl
@@ -49,7 +50,4 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-
   !
   !   Arguments
Index: LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5282)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE ioipsl
@@ -49,7 +50,4 @@
 
 
-  include "description.h"
-  include "iniprint.h"
-
   !
   !   Arguments
Index: LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5282)
@@ -29,4 +29,5 @@
   !    Auteur :  P. Le Van, F. Hourdin
   !   .........
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE infotrac, ONLY: nqtot, tracers
@@ -95,5 +96,4 @@
   PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-  include "iniprint.h"
 
   !    Arguments :
Index: LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5282)
@@ -51,4 +51,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
 #ifdef CPP_PARA
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -112,5 +113,4 @@
   PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-  include "iniprint.h"
   !    Arguments :
   !    -----------
Index: LMDZ6/trunk/libf/dynphy_lonlat/inigeomphy_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/inigeomphy_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/inigeomphy_mod.f90	(revision 5282)
@@ -9,4 +9,5 @@
                      nbp, communicator, &
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv)
+  USE iniprint_mod_h
   USE mod_grid_phy_lmdz, ONLY: klon_glo,  & ! number of atmospheric columns (on full grid)
                                regular_lonlat, &  ! regular longitude-latitude grid type
@@ -34,5 +35,4 @@
   ! =======================================================================
 
-  include "iniprint.h"
 
   INTEGER, INTENT (IN) :: nlayer ! number of atmospheric layers
Index: LMDZ6/trunk/libf/dynphy_lonlat/phydev/iniphysiq_mod.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phydev/iniphysiq_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phydev/iniphysiq_mod.f90	(revision 5282)
@@ -11,4 +11,5 @@
                      rlatu,rlatv,rlonu,rlonv,aire,cu,cv, &
                      prad,pg,pr,pcpp,iflag_phys)
+  USE iniprint_mod_h
   USE dimphy, ONLY: init_dimphy
   USE inigeomphy_mod, ONLY: inigeomphy
@@ -22,10 +23,9 @@
   !
   !=======================================================================
-  !   Initialisation of the physical constants and some positional and 
+  !   Initialisation of the physical constants and some positional and
   !   geometrical arrays for the physics
   !=======================================================================
- 
- 
-  include "iniprint.h"
+
+
 
   REAL,INTENT(IN) :: prad ! radius of the planet (m)
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5282)
@@ -39,4 +39,5 @@
 #endif
 
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, kappa, omeg, r, rad, &
@@ -56,5 +57,4 @@
 
 
-  include "iniprint.h"
   
   REAL               :: masque(iip1,jjp1)             !--- CONTINENTAL MASK
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5282)
@@ -46,4 +46,5 @@
   USE comdissnew_mod_h
   USE comgeom2_mod_h
+  USE iniprint_mod_h
 IMPLICIT NONE
 
@@ -51,5 +52,4 @@
   PUBLIC :: etat0dyn_netcdf
 
-  include "iniprint.h"
 
 
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5282)
@@ -58,9 +58,9 @@
   USE dimsoil_mod_h, ONLY: nsoilmx
   USE comgeom2_mod_h
+  USE clesphys_mod_h
+  USE iniprint_mod_h
   PRIVATE
   PUBLIC :: etat0phys_netcdf
 
-  include "iniprint.h"
-  include "clesphys.h"
   REAL, SAVE :: deg2rad
   REAL, SAVE, ALLOCATABLE :: tsol(:)
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5282)
@@ -38,4 +38,5 @@
   USE bands, ONLY : distrib_phys
 #endif
+  USE iniprint_mod_h
   USE comgeom_mod_h
   USE mod_phys_lmdz_omp_data, ONLY: klon_omp
@@ -55,5 +56,4 @@
 
 
-  include "iniprint.h"
   include "tracstoke.h"
 
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5282)
@@ -3,4 +3,5 @@
 !*******************************************************************************
 
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE indice_sol_mod,     ONLY: is_ter, is_oce, is_oce, is_lic, epsfra
@@ -20,5 +21,4 @@
   PRIVATE
   PUBLIC :: start_init_subsurf
-  include "iniprint.h"
 
 CONTAINS
Index: LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5281)
+++ LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5282)
@@ -70,4 +70,5 @@
 !-------------------------------------------------------------------------------
 #ifndef CPP_1D
+  USE iniprint_mod_h
   USE comgeom2_mod_h
   USE indice_sol_mod
@@ -89,5 +90,4 @@
 !-------------------------------------------------------------------------------
 ! Arguments:
-  include "iniprint.h"
 
 
Index: LMDZ6/trunk/libf/misc/iniprint_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/misc/iniprint_mod_h.f90	(revision 5282)
+++ LMDZ6/trunk/libf/misc/iniprint_mod_h.f90	(revision 5282)
@@ -0,0 +1,14 @@
+! Replaces iniprint.h
+
+MODULE iniprint_mod_h
+  ! gestion des impressions de sorties et de débogage
+  ! lunout:    unité du fichier dans lequel se font les sorties
+  !                           (par defaut 6, la sortie standard)
+  ! prt_level: niveau d'impression souhaité (0 = minimum)
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC lunout, prt_level
+
+  INTEGER :: lunout, prt_level
+
+END MODULE iniprint_mod_h
Index: LMDZ6/trunk/libf/misc/wxios.F90
===================================================================
--- LMDZ6/trunk/libf/misc/wxios.F90	(revision 5281)
+++ LMDZ6/trunk/libf/misc/wxios.F90	(revision 5282)
@@ -509,9 +509,9 @@
         CHARACTER (len=*), INTENT(IN), OPTIONAL :: positif
         REAL, DIMENSION(axis_size, 2), INTENT(IN), OPTIONAL :: bnds
-        
+
 !        TYPE(xios_axisgroup) :: axgroup
 !        TYPE(xios_axis) :: ax
-!        CHARACTER(len=50) :: axis_id 
-        
+!        CHARACTER(len=50) :: axis_id
+
 !        IF (len_trim(axisgroup_id).gt.len(axis_id)) THEN
 !          WRITE(lunout,*) "wxios_add_vaxis: error, size of axis_id too small!!"
@@ -520,14 +520,14 @@
 !        ENDIF
 !        axis_id=trim(axisgroup_id)
-        
+
         !On récupère le groupe d'axes qui va bien:
         !CALL xios_get_axisgroup_handle(axisgroup_id, axgroup)
-        
+
         !On ajoute l'axe correspondant à ce fichier:
         !CALL xios_add_axis(axgroup, ax, TRIM(ADJUSTL(axis_id)))
-        
+
         !Et on le parametrise:
         !CALL xios_set_axis_attr_hdl(ax, size=axis_size, value=axis_value)
-        
+
         ! Ehouarn: New way to declare axis, without axis_group:
         if (PRESENT(positif) .AND. PRESENT(bnds)) then
@@ -552,6 +552,6 @@
 
     END SUBROUTINE wxios_add_vaxis
-    
-    
+
+
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Pour déclarer un fichier  !!!!!!!!!!!!!!!!!!!
@@ -564,9 +564,9 @@
         CHARACTER(len=*), INTENT(IN) :: ffreq
         INTEGER, INTENT(IN) :: flvl
-        
+
         TYPE(xios_file) :: x_file
         TYPE(xios_filegroup) :: x_fg
         TYPE(xios_duration) :: nffreq
-        
+
         !On regarde si le fichier n'est pas défini par XML:
         IF (.NOT.xios_is_valid_file(fname)) THEN
@@ -574,12 +574,12 @@
             CALL xios_get_handle("defile", x_fg)
             CALL xios_add_child(x_fg, x_file, fname)
-        
+
             !On reformate la fréquence:
             CALL reformadate(ffreq, nffreq)
-        
+
             !On configure:
             CALL xios_set_attr(x_file, name="X"//fname,&
                 output_freq=nffreq, output_level=flvl, enabled=.TRUE.)
-       
+
             IF (xios_is_valid_file("X"//fname)) THEN
                 IF (prt_level >= 10) THEN
@@ -599,5 +599,5 @@
         END IF
     END SUBROUTINE wxios_add_file
-    
+
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Pour créer un champ      !!!!!!!!!!!!!!!!!!!!
@@ -605,7 +605,7 @@
     SUBROUTINE wxios_add_field(fieldname, fieldgroup, fieldlongname, fieldunit)
         USE netcdf, only: nf90_fill_real
-
-        IMPLICIT NONE
-        INCLUDE 'iniprint.h'
+        USE iniprint_mod_h
+
+        IMPLICIT NONE
         
         CHARACTER(len=*), INTENT(IN) :: fieldname
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5282)
@@ -4,9 +4,6 @@
 MODULE phys_output_write_spl_mod
 
-!JE20150620<<
-!JE20150620>>
-!JE20150620<<
-
-  USE time_phylmdz_mod, ONLY: day_step_phy, start_time, itau_phy
+
+    USE time_phylmdz_mod, ONLY: day_step_phy, start_time, itau_phy
 
   USE phytracr_spl_mod, ONLY : ok_chimeredust, id_prec, id_fine, id_coss, &
@@ -68,5 +65,5 @@
        flux_sparam_sscoa,u10m_ss,v10m_ss
 
-  USE dustemission_mod, ONLY : m1dflux, m2dflux, m3dflux 
+  USE dustemission_mod, ONLY : m1dflux, m2dflux, m3dflux
 
 !  USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
@@ -80,5 +77,5 @@
   ! Author: Ulysse GERARD (effective implementation)
 
-CONTAINS 
+CONTAINS
 
   ! ug Routine pour définir (lors du premier passageà) ET sortir les variables
@@ -195,5 +192,5 @@
          o_ptconvth, o_lmaxth, o_dtvdf, &
          o_dtdis, o_dqvdf, o_dteva, o_dqeva, &
-         o_ptconv, o_ratqs, o_dtthe, & 
+         o_ptconv, o_ratqs, o_dtthe, &
          o_duthe, o_dvthe, o_ftime_th, &
          o_f_th, o_e_th, o_w_th, o_q_th, &
@@ -409,13 +406,13 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+    USE clesphys_mod_h
+    USE iniprint_mod_h
 IMPLICIT NONE
 
 !   INCLUDE "temps.h"
-    INCLUDE "clesphys.h"
     INCLUDE "alpale.h"
     INCLUDE "compbl.h"
 
 
-    include "iniprint.h"
 
     ! Input
Index: LMDZ6/trunk/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90	(revision 5282)
@@ -6,4 +6,5 @@
      tau_allaer, piz_allaer, cg_allaer )
 
+  USE clesphys_mod_h
   USE dimphy
   USE aero_mod
@@ -16,5 +17,4 @@
   IMPLICIT NONE
 
-  INCLUDE "clesphys.h"
   !
   ! Input arguments:
Index: LMDZ6/trunk/libf/phylmd/Dust/splaeropt_lw_rrtm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/splaeropt_lw_rrtm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/Dust/splaeropt_lw_rrtm.f90	(revision 5282)
@@ -8,4 +8,5 @@
 SUBROUTINE SPLAEROPT_LW_RRTM(ok_alw,zdm,tr_seri)
 
+  USE clesphys_mod_h
   USE dimphy
   USE aero_mod
@@ -16,5 +17,4 @@
   IMPLICIT NONE
 
-  INCLUDE "clesphys.h"
   !
   ! Input arguments:
Index: LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/Dust/splaerosol_optic_rrtm.f90	(revision 5282)
@@ -11,4 +11,5 @@
   !
 
+  USE clesphys_mod_h
   USE dimphy
   USE aero_mod
@@ -18,5 +19,4 @@
   IMPLICIT NONE
 
-  INCLUDE "clesphys.h"
 
 
Index: LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5282)
@@ -4,4 +4,6 @@
 SUBROUTINE calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
 
+  USE clesphys_mod_h
+  USE iniprint_mod_h
   USE phys_state_var_mod, ONLY: tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm, tau_aero_lw_rrtm
   USE phys_local_var_mod, ONLY: mdw, tausum_aero, tausum_strat, tau_strat_550, tau_strat_1020, stratomask
@@ -17,7 +19,5 @@
 
 
-  INCLUDE "clesphys.h"
 
-  INCLUDE "iniprint.h"
 
 ! Variable input
Index: LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90	(revision 5282)
@@ -4,5 +4,6 @@
 module ACAMA_GWD_rando_m
 
-  implicit none
+  USE clesphys_mod_h
+    implicit none
 
 contains
@@ -12,5 +13,5 @@
 
     ! Parametrization of the momentum flux deposition due to a discrete
-    ! number of gravity waves. 
+    ! number of gravity waves.
     ! Author: F. Lott, A. de la Camara
     ! July, 24th, 2014
@@ -39,5 +40,4 @@
 
 
-    include "clesphys.h"
 !  OFFLINE:
 !   include "dimensions_mod.f90"
Index: LMDZ6/trunk/libf/phylmd/add_phys_tend_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/add_phys_tend_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/add_phys_tend_mod.f90	(revision 5282)
@@ -99,4 +99,5 @@
 !======================================================================
 
+USE clesphys_mod_h
 USE dimphy, ONLY: klon, klev
 USE phys_state_var_mod, ONLY : phys_tstep
@@ -122,5 +123,4 @@
 IMPLICIT none
 
-INCLUDE "clesphys.h"
 
 ! Arguments :
@@ -515,5 +515,6 @@
 !======================================================================
 
-USE phys_state_var_mod, ONLY : phys_tstep, ftsol
+USE clesphys_mod_h
+  USE phys_state_var_mod, ONLY : phys_tstep, ftsol
 USE geometry_mod, ONLY: longitude_deg, latitude_deg
 USE print_control_mod, ONLY: prt_level
@@ -535,5 +536,4 @@
 IMPLICIT none
 
-  include "clesphys.h"
 
 ! Arguments :
Index: LMDZ6/trunk/libf/phylmd/albedo.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/albedo.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/albedo.f90	(revision 5282)
@@ -2,5 +2,6 @@
 module albedo
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+  USE clesphys_mod_h
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -20,4 +21,5 @@
   SUBROUTINE alboc(rjour, rlat, albedo)
     USE dimphy
+    USE clesphys_mod_h
     ! ======================================================================
     ! Auteur(s): Z.X. Li (LMD/CNRS) (adaptation du GCM du LMD)
@@ -31,6 +33,4 @@
     ! albedo (out,R): albedo obtenu (de 0 a 1)
     ! ======================================================================
-
-    include "clesphys.h"
 
     INTEGER npts ! il controle la precision de l'integration
@@ -147,5 +147,4 @@
     ! albedo (out): albedo de surface de l'ocean
     ! ======================================================================
-    include "clesphys.h"
     REAL, intent(in):: rmu0(klon)
     real, intent(out):: albedo(klon)
Index: LMDZ6/trunk/libf/phylmd/albsno.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/albsno.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/albsno.f90	(revision 5282)
@@ -4,7 +4,7 @@
 SUBROUTINE albsno(klon, knon, dtime, agesno, alb_neig_grid, precip_snow)
 
+  USE clesphys_mod_h
   IMPLICIT NONE
 
-  INCLUDE "clesphys.h"
 
 ! Input arguments
Index: LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/calcul_fluxs_mod.f90	(revision 5282)
@@ -4,5 +4,6 @@
 MODULE calcul_fluxs_mod
 
-  IMPLICIT NONE
+  USE clesphys_mod_h
+    IMPLICIT NONE
 
 CONTAINS
@@ -14,6 +15,6 @@
        tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l, &
        sens_prec_liq, sens_prec_sol, lat_prec_liq, lat_prec_sol, rhoa)
- 
-    
+
+
     USE dimphy, ONLY : klon
     USE indice_sol_mod
@@ -32,5 +33,4 @@
           , RALPD, RBETD, RGAMD
 
-    INCLUDE "clesphys.h"
 
 ! Cette routine calcule les fluxs en h et q a l'interface et eventuellement
@@ -299,4 +299,5 @@
        flux_u1, flux_v1)
 
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -313,5 +314,4 @@
 USE dimphy
 
-    INCLUDE "clesphys.h"
 
 ! Input arguments
Index: LMDZ6/trunk/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/calltherm.F90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/calltherm.F90	(revision 5282)
@@ -40,7 +40,6 @@
 #endif   
 #endif
-
+      USE clesphys_mod_h
       implicit none
-      include "clesphys.h"
       include "thermcell_old.h"
 
Index: LMDZ6/trunk/libf/phylmd/carbon_cycle_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/carbon_cycle_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/carbon_cycle_mod.f90	(revision 5282)
@@ -226,6 +226,6 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE clesphys_mod_h
 IMPLICIT NONE
-    INCLUDE "clesphys.h"
 
 ! Local variables
@@ -282,4 +282,6 @@
     USE mod_phys_lmdz_omp_transfert
     USE dimphy, ONLY: klon
+    USE iniprint_mod_h
+    USE clesphys_mod_h
 
     IMPLICIT NONE
@@ -329,7 +331,5 @@
 ! Declarations
 
-  INCLUDE "clesphys.h"
-
-  INCLUDE "iniprint.h"
+
 
 ! Local variables
Index: LMDZ6/trunk/libf/phylmd/cdrag_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cdrag_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/cdrag_mod.f90	(revision 5282)
@@ -41,4 +41,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+  USE clesphys_mod_h
 
   IMPLICIT NONE
@@ -127,5 +128,4 @@
 !******************************************************************
   INCLUDE "YOETHF.h"
-  INCLUDE "clesphys.h"
 
 
Index: LMDZ6/trunk/libf/phylmd/change_srf_frac_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/change_srf_frac_mod.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/change_srf_frac_mod.f90	(revision 5282)
@@ -4,8 +4,9 @@
 MODULE change_srf_frac_mod
 
-  IMPLICIT NONE
+  USE clesphys_mod_h
+    IMPLICIT NONE
 
 CONTAINS
-! 
+!
 ! Change Surface Fractions
 ! Author J Ghattas 2008
@@ -14,14 +15,14 @@
         pctsrf, evap, z0m, z0h, agesno,              &
         alb_dir, alb_dif, tsurf, ustar, u10m, v10m, pbl_tke)
-   
-
-
-!
-! This subroutine is called from physiq.F at each timestep. 
+
+
+
+!
+! This subroutine is called from physiq.F at each timestep.
 ! 1- For each type of ocean (force, slab, couple) receive new fractions only if
-!    it's time to modify (is_modified=true). Otherwise nothing is done (is_modified=false).   
+!    it's time to modify (is_modified=true). Otherwise nothing is done (is_modified=false).
 ! If received new fraction :
-! 2- Tests and ajustements are done on the fractions 
-! 3- Initialize variables where a new fraction(new or melted ice) has appered, 
+! 2- Tests and ajustements are done on the fractions
+! 3- Initialize variables where a new fraction(new or melted ice) has appered,
 !
 
@@ -49,5 +50,4 @@
 
 !albedo SB >>>
-    include "clesphys.h"
 !albedo SB <<<
 
Index: LMDZ6/trunk/libf/phylmd/clcdrag.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/clcdrag.f90	(revision 5281)
+++ LMDZ6/trunk/libf/phylmd/clcdrag.f90	(revision 5282)
@@ -7,4 +7,5 @@
      pcfm, pcfh)
 
+  USE clesphys_mod_h
   USE dimphy
   USE indice_sol_mod
@@ -55,5 +56,4 @@
 
   INCLUDE "YOETHF.h"
-  INCLUDE "clesphys.h"
 !
 ! Quelques constantes et options:
